package com.qmth.distributed.print.business.enums;

import com.qmth.teachcloud.common.enums.EnumResult;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 考场状态枚举类
 */
public enum ExamDetailStatusEnum {
    NEW("新建"),
    READY("就绪"),
    WAITING("待打印"),
    PRINTING("印刷中"),
    FINISH("已完成");
    private final String desc;

    ExamDetailStatusEnum(String desc) {
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }

    public static List<EnumResult> listTypes() {
        List<EnumResult> list = new ArrayList<>();
        for (ExamDetailStatusEnum value : ExamDetailStatusEnum.values()) {
            EnumResult result = new EnumResult();
            result.setName(value.name());
            result.setOrdinal(value.ordinal());
            result.setCode(null);
            result.setDesc(value.getDesc());
            list.add(result);
        }
        return list;
    }
}
